"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.RolesClient = void 0;
const genericClient_js_1 = require("./genericClient.js");
class RolesClient {
    constructor(basePath, auth, queryOptions) {
        this.client = new genericClient_js_1.GenericClient({
            basePath: basePath,
            endpointPath: "/roles",
            auth: auth,
            writeTypeName: "RoleWrite",
            singleResponseTypeName: "WrappedRole",
            multipleResponseTypeName: "WrappedWithMetaArrayRole",
            queryOptions: queryOptions,
        });
    }
    create(org) {
        return __awaiter(this, void 0, void 0, function* () {
            return this.client.create(org);
        });
    }
    get(id, query = {}) {
        return __awaiter(this, void 0, void 0, function* () {
            return this.client.get(id, query);
        });
    }
    find(findParams = {}) {
        return __awaiter(this, void 0, void 0, function* () {
            return this.client.find(findParams);
        });
    }
}
exports.RolesClient = RolesClient;
